• Conflict when updating: antergos-kde-setup requires oxygen...


    Hi, firstly sorry for my english.
    Today the update manager gave me this:
    antergos-kde-setup requires oxygen-cursors
    (and I could not update)
    the result of “sudo pacman -Syu” is

    :: ¿Remplazar oxygen-cursors con extra/oxygen?  [S/n] s
    resolviendo dependencias…
    buscando conflictos entre paquetes…
    error: no se pudo preparar la operación (no se pudieron satisfacer las dependencias)
    :: antergos-kde-setup: quitando «oxygen-cursors» se rompe la dependencia con «oxygen-cursors»
    

    That means a conflict between new /extra/oxygen and oxygen-cursors

    What can I do?
    Thanks

  • @ppsalama I have the same problem: should we answer “Yes” to the question from updater?
    Too bad I can’t upgrade to Plasma 5.6 :(

    Antergos KDE + Antergos XFCE + Windows 10
    Motherboard Asus P8H67-M LE - CPU: Intel Core™ i5-2400 CPU @ 3.10GHz - RAM 10 Gb
    Samsung EVO 250 Gb Ssd + WD HDD 2 Tb

  • @ppsalama It’s the nice and interesting problem. Thanks for the question.

    The native Arch Kde, with added Antergos repo, upgrades Plasma without a problem. There’s no conflict between oxygen and oxygen-cursors packages. The former is installed. The latter seems to be removed from Arch.

    The conflict arises only in Antergos. Exactly as it is described in the OP. There should be a hard-coded dependency in the antergos-kde-setup package. Yes, there is.

    Very interesting! Nice to meet you. Thanks again.

  • @fabio if you answer Yes to “replace oxygen-cursors with extra/oxygen” then you get the conflict. I don’t know if we must answer “No”. I don’t want to break my system. I prefer to wait an expert answer.
    regards.

  • @just thanks for your answer.
    Do you mean we must wait for a fix? or…
    Thanks again.

  • @ppsalama said:


    Do you mean we must wait for a fix? or…

    Yes, it’s exactly what I’m trying to say. Wait a bit. Do not upgrade. Do not break your systems with inappropriate answers.

    It is not a big problem. Hopefully, @lots.0.logs, @karasu, @Wyn will solve it quickly.

  • Could be that repos are not perfectly synchronized?
    But you’re right, we better wait for the help of an expert.

    Antergos KDE + Antergos XFCE + Windows 10
    Motherboard Asus P8H67-M LE - CPU: Intel Core™ i5-2400 CPU @ 3.10GHz - RAM 10 Gb
    Samsung EVO 250 Gb Ssd + WD HDD 2 Tb

  • @just Oh yeah… thanks… waiting the fix.
    Great!

  • @fabio said:

    Could be that repos are not perfectly synchronized?

    No, repos’ sync is not a problem.

    The problem is that antergos-kde-setup installs oxygen-cursors package. Which is not used by plain Arch anymore.

    Edit

    antergos-kde-setup is the fundamental package. Cnchi uses it to install the whole Antergos Kde. Only Antergos devs or very experienced users are able to correct it. Let’s wait.

  • Ok, so we wait for tomorrow

    Antergos KDE + Antergos XFCE + Windows 10
    Motherboard Asus P8H67-M LE - CPU: Intel Core™ i5-2400 CPU @ 3.10GHz - RAM 10 Gb
    Samsung EVO 250 Gb Ssd + WD HDD 2 Tb

  • @just @ppsalama

    https://github.com/Antergos/antergos-packages/pull/92

    (Surprised I was mentioned tbh)

    I7 [email protected]/32GB Ram/3440 x 1440 + 1440p/EVGA 1080 FTW/512GB SSD/2TB HD/Antergos Base w/ Plasma

  • @ppsalama @fabio Antergos Kde upgrades without a problem now. 172 packages are upgraded without any conflict. The issue is fixed here.

    Beside conky-lua, but that’s another story.

  • Updated flawlessly. Thank you ;)
    Just, new plasma is nothing much.
    Have a nice day

    Antergos KDE + Antergos XFCE + Windows 10
    Motherboard Asus P8H67-M LE - CPU: Intel Core™ i5-2400 CPU @ 3.10GHz - RAM 10 Gb
    Samsung EVO 250 Gb Ssd + WD HDD 2 Tb

  • Upgraded with no problems…
    Thanks so much to Antergos Team.
    Solved

Posts 14Views 1760
Log in to reply